libetonyek::IWAText Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWAText Class Reference

`#include <IWAText.h>`

## Public Member Functions
| IWAText (const std::string text, IWORKLanguageManager &langManager)
void | setParagraphs (const std::map< unsigned, IWORKStylePtr_t > &paras)
void | setSpans (const std::map< unsigned, IWORKStylePtr_t > &spans)
void | setLanguages (const std::map< unsigned, std::string > &langs)
void | setLinks (const std::map< unsigned, std::string > &links)
void | setListLevels (const std::map< unsigned, unsigned > &levels)
void | setLists (const std::map< unsigned, IWORKStylePtr_t > &lists)
void | parse (IWORKText &collector)

## Private Attributes
const librevenge::RVNGString | m_text
IWORKLanguageManager & | m_langManager
std::map< unsigned, IWORKStylePtr_t > | m_paras
std::map< unsigned, IWORKStylePtr_t > | m_spans
std::map< unsigned, std::string > | m_langs
std::map< unsigned, std::string > | m_links
std::map< unsigned, IWORKStylePtr_t > | m_lists
std::map< unsigned, unsigned > | m_listLevels

## Constructor & Destructor Documentation

## ◆ IWAText()

libetonyek::IWAText::IWAText | ( | const std::string | text,
|  | IWORKLanguageManager & | langManager
| ) |  |

## Member Function Documentation

## ◆ parse()

void libetonyek::IWAText::parse | ( | IWORKText & | collector | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setLanguages()

void libetonyek::IWAText::setLanguages | ( | const std::map< unsigned, std::string > & | langs | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setLinks()

void libetonyek::IWAText::setLinks | ( | const std::map< unsigned, std::string > & | links | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setListLevels()

void libetonyek::IWAText::setListLevels | ( | const std::map< unsigned, unsigned > & | levels | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setLists()

void libetonyek::IWAText::setLists | ( | const std::map< unsigned, IWORKStylePtr_t > & | lists | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setParagraphs()

void libetonyek::IWAText::setParagraphs | ( | const std::map< unsigned, IWORKStylePtr_t > & | paras | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ setSpans()

void libetonyek::IWAText::setSpans | ( | const std::map< unsigned, IWORKStylePtr_t > & | spans | ) |

Referenced by libetonyek::IWAParser::parseText().

## Member Data Documentation

## ◆ m_langManager

IWORKLanguageManager& libetonyek::IWAText::m_langManager
| private

Referenced by parse().

## ◆ m_langs

std::map<unsigned, std::string> libetonyek::IWAText::m_langs
| private

Referenced by parse(), and setLanguages().

## ◆ m_links

std::map<unsigned, std::string> libetonyek::IWAText::m_links
| private

Referenced by parse(), and setLinks().

## ◆ m_listLevels

std::map<unsigned, unsigned> libetonyek::IWAText::m_listLevels
| private

Referenced by parse(), and setListLevels().

## ◆ m_lists

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_lists
| private

Referenced by parse(), and setLists().

## ◆ m_paras

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_paras
| private

Referenced by parse(), and setParagraphs().

## ◆ m_spans

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_spans
| private

Referenced by parse(), and setSpans().

## ◆ m_text

const librevenge::RVNGString libetonyek::IWAText::m_text
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- IWAText.h
- IWAText.cpp